﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MindFusion.Diagramming;
using MindFusion.Diagramming.Mvc;

namespace PdfExporter.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index(string submitButton)
        {
            return View("Index");
        }

        public ActionResult Export()
        {
            Diagram diagram = DiagramView.FromRequest("diagramView1", Request).Diagram;
            MindFusion.Diagramming.Export.PdfExporter pdf = new MindFusion.Diagramming.Export.PdfExporter();

            string path = Server.MapPath(@"~\PDF\") + Session.SessionID + ".pdf";
            pdf.Export(diagram, path);

            return File(path, "application/pdf", "diagram.pdf");
        }
    }
}